Page MenuHomePhabricator

Wikimania Hackathon 2017 Volunteer Group: Help work with or teach newcomers
Closed, ResolvedPublic

Description

This is a task to collect ideas and progress from the group of volunteers who agreed to help mentor and connect Newcomers during the Wikimania Hackathon 2017.

Your contact will be @Halfak

People in this group should attend the Mentoring session which will take place just after the opening of the hackathon in the same space. We will connect mentors with newcomers and help newcomers find projects or connect them with people who have similar interest areas.

It would be helpful if people in this group thought about what they could work on in advance of the hackathon an post it on our mentors page (which will be put up soon).

If you did not sign up but would like to be part of this group please contact Aaron.

Add mentors to this list: https://etherpad.wikimedia.org/p/Wikimania_mentors_meeting_notes

Event Timeline

Rfarrand created this task.Jun 23 2017, 9:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2017, 9:40 PM
Rfarrand triaged this task as Medium priority.Jun 23 2017, 9:44 PM

\o/ @Rfarrand, what would it take to get some mentor hats, necklaces, or something like that?

@Halfak I am glad you ask!! I was just discussing this same this with Siebrand.
I am looking for any ideas you have on how we can identify these people. Bonus points if it is something reusable.

Tshirts probably wont work this time around because of timing, sizes, etc.
Hats are a great idea, but some people hate wearing them.
I was thinking about lanyards but we already used colored lanyards to indicate photo / no photo.

If you have a specific idea for this then I can most likely order it from the TC budget if its not super expensive.

You choose, and I will try to make it happen!

49 people agreed to volunteer on this at the hackathon. here is the email that was sent out to this group today.
If you did not sign up but still want to help, just comment here!

Hello!
Thank you for expressing interest in volunteering to help newcomers for the Wikimania Hackathon 2017 in Montreal!

If you've changed your mind about being able to help, please email us, and we'll remove you from the distribution list.

We've created a task on Phabricator about this, and you're welcome to brainstorm more ideas with others on the task itself: https://phabricator.wikimedia.org/T168756

Here is our current plan for the mentoring program in Montreal
https://www.mediawiki.org/wiki/Hackathon/Handbook/Mentoring_program#An_overview_of_the_mentoring_program_plan_for_Wikimania_Hackathon_2017_in_Montreal

If you are still willing to help and can do the following:

Show up to a pre-hackahton meeting for mentors in Montreal on Tuesday evening (the night before the hackathon) and/or show up to the 30 min session for mentors on Wednesday morning of the hackathon at 11am.
Attend the mentors / newcomer matching time at 11:00-12:00 Wednesday and help newcomers find projects
Work with newcomers in any way that you choose at the hackathon
Please sign up here (we will send one more email in advance of the hackathon with details about the pre-hackathon meeting)!: https://docs.google.com/spreadsheets/d/1zxxyaD0RM1NBMdN5HLf9ktGGn9tJc9pLeZwjFoptacA/edit#gid=0

There is also a telegram group for Wikimania Hackathon mentors where you can communicate with each other in a behind-the-scenes newcomer support network. This is not a requirement as we know that not everyone like to use telegram, however it was a success in Vienna and many of the mentors asked us to continue using telegram. You can find and join this group by searching https://t.me/Wikimania17Mentor

If you are not able to help in this way, but have other ideas please email your thoughts to Rachel (rfarrand@wikimedia.org) and Aaron (ahalfaker@wikimedia.org). We would love to support you in any way that we can.

Thanks very much and see you soon!

Rachel & Aaron

Dzahn added a subscriber: Dzahn.Aug 5 2017, 12:59 AM
Isarra added a subscriber: Isarra.Aug 9 2017, 10:46 AM

@Halfak please add any notes or lessons learned from the mentoring program here so we don't loose them for next time and then close the task when you are ready. If you are not ready to close the task because you have some following up to do or need help with something please also list those details here.

Thanks for the ping @Rfarrand.

Here's some thoughts:

  • woot! Generally, things went great. I'm going to raise some concerns and critiques, but I think that if we did the exact same thing again, it would be pretty good.
    • Posters were a good change. I think they went over well.
    • The featured newcomer projects were good, but not everyone who represented a featured project felt like they wanted to participate in the "mentoring" program.
    • The hard work of telling people when to be where and what to do was pretty easy because of foresight and planning by @Rfarrand and @srishakatux.
  • not all newcomers understood that this was for them I met a few newcomers who weren't sure what to work on at Wikimania, so it seems that it wasn't obvious that newcomers were welcome to introduce themselves -- or maybe it wasn't obvious where to do so.
  • should have more floor space for posters The poster session went well, but the space for it was lack-luster. We set up the poster paper on the back of chairs in a "circle" with little room in the middle. This was sufficient but it left the posters too close to the ground. One benefit of using the back of the chairs was that mentors could adopt the backwards chair sit while describing their posters/projects. Another benefit was that mentors could then go sit in their poster chair for the rest of the hackathon and that made them easier to find.
  • peer critique of posters I heard from some mentors that they felt that their interests/project/poster didn't gather much attention during the newcomer session and therefor they were not good hackathon topics. IMO they are wrong! All tech is interesting. But I think maybe a round of peer critique of posters might be helpful.
  • hats, we should have silly hats Oh whatever. Something obvious and silly that makes mentors easy to identify and makes them easier to approach too. We discussed this in the past. Mentors are sometimes not in their poster-chairs or someone else has taken their place.
  • mentors --> newcomer support I think we should rename the program to "newcomer support" because "mentor" implies a 1:1 relationship. While there's nothing wrong with that, I'd like to see our group embrace the notion of "newcomer support" generally. My hope is that, by doing so, more newcomers will feel that the program is there for them. I'm also hoping that newcomers won't feel that by engaging, they will get stuck with a specific mentor.

Thank you, this is all really great. Especially I like the idea of changing the name of the program to "Newcomer Support."
I think we have been struggling with names for things in this area for a while and this suggestion makes more sense to me and also makes the intention more clear.
So, would the "Mentors" now be called "newcomer supporters?" or ...?

Hmm... Good question! In the Wikipedia Teahouse, the newcomer supporters are called "Hosts". I'd also be OK with just keeping the name "Mentors".

Aklapper closed this task as Resolved.Jul 30 2018, 7:56 AM

@Halfak, rfarrand: T168756#3533585 could be incorporated in T169128. Closing this task as it was a year ago.